Bug 168741 - CAN-2005-2968 Firefox improper command line URL sanitization
CAN-2005-2968 Firefox improper command line URL sanitization
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-09-19 18:06 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-25 07:49:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-19 18:06:09 EDT
+++ This bug was initially created as a clone of Bug #168737 +++

Upstream bug:

The URL passed to firefox on the command line does not properly escape dangerous
characters before handing the URL to the shell.
Comment 1 Josh Bressers 2005-09-19 18:07:07 EDT
This issue should also affect FC3
Comment 2 Mark J. Cox (Product Security) 2005-10-25 07:49:52 EDT
        CAN-2005-2968 Probably Affects: FC3 [#168741:NEW] -> FEDORA-2005-931
        CAN-2005-2968 Probably Affects: FC4 [#168741:NEW] -> FEDORA-2005-926

Note You need to log in before you can comment on or make changes to this bug.